use std::net::UdpSocket;
use std::io;

pub fn send(host: &str, message: &str, iters: u32) -> io::Result<()> {
    let socket = UdpSocket::bind("0.0.0.0:0").expect("Failed to bind socket");
    let packet_size = 1080;

    let message = String::from(message);
    let padding = "\0".repeat(packet_size - message.len());
    let buf = message + &padding;


    for _ in 0..iters {
        match socket.send_to(buf.as_bytes(), host) {
            Ok(_) => (),
            Err(e) => eprintln!("Failed to send message: {}", e),
        }
    }

    Ok(())
}
